 ~~ Licensed to the Apache Software Foundation (ASF) under one or more
 ~~ contributor license agreements.  See the NOTICE file distributed with
 ~~ this work for additional information regarding copyright ownership.
 ~~ The ASF licenses this file to You under the Apache License, Version 2.0
 ~~ (the "License"); you may not use this file except in compliance with
 ~~ the License.  You may obtain a copy of the License at
 ~~
 ~~      http://www.apache.org/licenses/LICENSE-2.0
 ~~
 ~~ Unless required by applicable law or agreed to in writing, software
 ~~ distributed under the License is distributed on an "AS IS" BASIS,
 ~~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 ~~ See the License for the specific language governing permissions and
 ~~ limitations under the License.

Mai 21, 2012 - MyFaces Tobago 1.5.6 Released

      The MyFaces Tobago component library in version 1.5.6 has been released.

      Release notes can be found
      {{{http://issues.apache.org/jira/secure/ReleaseNote.jspa?projectId=12310273&styleName=Html&12321251}here}}.


Mai 11, 2012 - MyFaces Tobago 1.5.5 Released

      The MyFaces Tobago component library in version 1.5.5 has been released.

      Release notes can be found
      {{{http://issues.apache.org/jira/secure/ReleaseNote.jspa?projectId=12310273&styleName=Html&12319865}here}}.



March 5, 2012 - MyFaces Tobago 1.5.4 Released

     The MyFaces Tobago component library in version 1.5.4 has been released.

     Release notes can be found
     {{{http://issues.apache.org/jira/secure/ReleaseNote.jspa?projectId=12310273&styleName=Html&version=12319864}here}}.

February 19, 2012 - MyFaces Tobago 1.0.39 Released

     The MyFaces Tobago component library in version 1.0.39 has been released.

     Release notes can be found
     {{{http://issues.apache.org/jira/secure/ReleaseNote.jspa?projectId=12310273&styleName=Html&version=12319455}here}}.


February 15, 2012 - MyFaces Tobago 1.5.3 Released

     The MyFaces Tobago component library in version 1.5.3 has been released.

     Release notes can be found
     {{{http://issues.apache.org/jira/secure/ReleaseNote.jspa?projectId=12310273&styleName=Html&version=12319499}here}}.


January 24, 2012 - MyFaces Tobago 1.5.2 Released

    The MyFaces Tobago component library in version 1.5.2 has been released.

    Release notes can be found
    {{{http://issues.apache.org/jira/secure/ReleaseNote.jspa?projectId=12310273&styleName=Html&version=12319248}here}}.


December 12, 2011 - MyFaces Tobago 1.5.1 Released

    The MyFaces Tobago component library in version 1.5.1 has been released.

    Release notes can be found
    {{{http://issues.apache.org/jira/secure/ReleaseNote.jspa?projectId=12310273&styleName=Html&version=12319154}here}}.


November 30, 2011 - MyFaces Tobago 1.5.0 Released

    The MyFaces Tobago component library in version 1.5.0 has been released.

    Release notes can be found
    {{{http://issues.apache.org/jira/secure/ReleaseNote.jspa?projectId=12310273&styleName=Html&version=12312205}here}}.


November 9, 2011 - MyFaces Tobago 1.5.0-beta-2 Released

    The MyFaces Tobago component library in version 1.5.0-beta-2 has been released.

    Release notes can be found
    {{{http://issues.apache.org/jira/secure/ReleaseNote.jspa?projectId=12310273&styleName=Html&version=12317052}here}}.


October 23, 2011 - MyFaces Tobago 1.0.38 Released

    The MyFaces Tobago component library in version 1.0.38 has been released.

    Release notes can be found
    {{{http://issues.apache.org/jira/secure/ReleaseNote.jspa?projectId=12310273&styleName=Html&version=12317350}here}}.


July 14, 2011 - MyFaces Tobago 1.5.0-beta-1 Released

    The MyFaces Tobago component library in version 1.5.0-beta-1 has been released.

    Release notes can be found
    {{{http://issues.apache.org/jira/secure/ReleaseNote.jspa?projectId=12310273&styleName=Html&version=12316222}here}}.


July 14, 2011 - MyFaces Tobago 1.0.37 Released

    The MyFaces Tobago component library in version 1.0.37 has been released.

    Release notes can be found
    {{{http://issues.apache.org/jira/secure/ReleaseNote.jspa?projectId=12310273&styleName=Html&version=12316458}here}}.


Mai 13, 2011 - MyFaces Tobago 1.0.36 Released

    The MyFaces Tobago component library in version 1.0.36 has been released.

    Release notes can be found
    {{{http://issues.apache.org/jira/secure/ReleaseNote.jspa?projectId=12310273&styleName=Html&version=12316297}here}}.


March 13, 2011 - MyFaces Tobago 1.0.35 Released

    The MyFaces Tobago component library in version 1.0.35 has been released.

    Release notes can be found
    {{{http://issues.apache.org/jira/secure/ReleaseNote.jspa?projectId=12310273&styleName=Html&version=12316183}here}}.


February 23, 2011 - MyFaces Tobago 1.5.0-alpha-2 Released

    The MyFaces Tobago component library in version 1.5.0-alpha-2 has been released.

    Release notes can be found
    {{{http://issues.apache.org/jira/secure/ReleaseNote.jspa?projectId=12310273&styleName=Html&version=12314340}here}}.


February 23, 2011 - MyFaces Tobago 1.0.34 Released

    The MyFaces Tobago component library in version 1.0.34 has been released.

    Release notes can be found
    {{{http://issues.apache.org/jira/secure/ReleaseNote.jspa?projectId=12310273&styleName=Html&version=12316162}here}}.


February 8, 2011 - MyFaces Tobago 1.0.33 Released

    The MyFaces Tobago component library in version 1.0.33 has been released.

    Release notes can be found
    {{{http://issues.apache.org/jira/secure/ReleaseNote.jspa?projectId=12310273&styleName=Html&version=12315586}here}}.

November 30, 2010 - MyFaces Tobago 1.0.32 Released

    The MyFaces Tobago component library in version 1.0.32 has been released.

    Release notes can be found
    {{{http://issues.apache.org/jira/secure/ReleaseNote.jspa?projectId=12310273&styleName=Html&version=12315489}here}}.

November 4, 2010 - MyFaces Tobago 1.0.31 Released

    The MyFaces Tobago component library in version 1.0.31 has been released.

    Release notes can be found
    {{{http://issues.apache.org/jira/secure/ReleaseNote.jspa?projectId=12310273&styleName=Html&version=12315383}here}}.

October 6, 2010 - MyFaces Tobago 1.0.30 Released

    The MyFaces Tobago component library in version 1.0.30 has been released.

    Release notes can be found
    {{{http://issues.apache.org/jira/secure/ReleaseNote.jspa?projectId=12310273&styleName=Html&version=12315336}here}}.


September 23, 2010 - MyFaces Tobago 1.0.29 Released

   The MyFaces Tobago component library in version 1.0.29 has been released.

   Release notes can be found
   {{{http://issues.apache.org/jira/secure/ReleaseNote.jspa?projectId=12310273&styleName=Html&version=12315262}here}}.


August 18, 2010 - MyFaces Tobago 1.0.28 Released

   The MyFaces Tobago component library in version 1.0.28 has been released.

   Release notes can be found
   {{{http://issues.apache.org/jira/secure/ReleaseNote.jspa?projectId=12310273&styleName=Html&version=12315109}here}}.


June 7, 2010 - MyFaces Tobago 1.0.27 Released

   The MyFaces Tobago component library in version 1.0.27 has been released.

   Release notes can be found
   {{{http://issues.apache.org/jira/secure/ReleaseNote.jspa?projectId=12310273&styleName=Html&version=12315099}here}}.

June 4, 2010 - MyFaces Tobago 1.0.26 Released

   The MyFaces Tobago component library in version 1.0.26 has been released.

   Release notes can be found
   {{{http://issues.apache.org/jira/secure/ReleaseNote.jspa?projectId=12310273&styleName=Html&version=12314961}here}}.


May 1, 2010 - MyFaces Tobago 1.0.25 Released

   The MyFaces Tobago component library in version 1.0.25 has been released.

   Release notes can be found
   {{{http://issues.apache.org/jira/secure/ReleaseNote.jspa?projectId=12310273&styleName=Html&version=12314527}here}}.
 
January 22, 2010 - MyFaces Tobago 1.0.24 Released

   The MyFaces Tobago component library in version 1.0.24 has been released.

   Release notes can be found
   {{{http://issues.apache.org/jira/secure/ReleaseNote.jspa?projectId=12310273&styleName=Html&version=12314193}here}}.

September 6, 2009 - MyFaces Tobago 1.0.23 Released

   The MyFaces Tobago component library in version 1.0.23 has been released.

   Release notes can be found
   {{{http://issues.apache.org/jira/secure/ReleaseNote.jspa?projectId=12310273&styleName=Html&version=12314159}here}}.


August 16, 2009 - MyFaces Tobago 1.0.22 Released

   The MyFaces Tobago component library in version 1.0.22 has been released.

   Release notes can be found
   {{{http://issues.apache.org/jira/secure/ReleaseNote.jspa?projectId=12310273&styleName=Html&version=12314027}here}}.


June 12, 2009 - MyFaces Tobago 1.0.21 Released

   The MyFaces Tobago component library in version 1.0.21 has been released.

   Release notes can be found
   {{{http://issues.apache.org/jira/secure/ReleaseNote.jspa?projectId=12310273&styleName=Html&version=12313470}here}}.


October 26, 2008 - MyFaces Tobago 1.0.20 Released

   The MyFaces Tobago component library in version 1.0.20 has been released.

   Release notes can be found
   {{{http://issues.apache.org/jira/secure/ReleaseNote.jspa?projectId=12310273&styleName=Html&version=12313447}here}}.


October 6, 2008 - MyFaces Tobago 1.0.19 Released

   The MyFaces Tobago component library in version 1.0.19 has been released.

   Release notes can be found
   {{{http://issues.apache.org/jira/secure/ReleaseNote.jspa?projectId=12310273&styleName=Html&version=12313372}here}}.


August 26, 2008 - MyFaces Tobago 1.0.18 Released

   The MyFaces Tobago component library in version 1.0.18 has been released.

   Release notes can be found
   {{{http://issues.apache.org/jira/secure/ReleaseNote.jspa?projectId=12310273&styleName=Html&version=12313150}here}}.


May 20, 2008 - MyFaces Tobago 1.0.17 Released

   The MyFaces Tobago component library in version 1.0.17 has been released.

   Release notes can be found
   {{{http://issues.apache.org/jira/secure/ReleaseNote.jspa?projectId=12310273&styleName=Html&version=12313084}here}}.


April 16, 2008 - MyFaces Tobago 1.0.16 Released

   The MyFaces Tobago component library in version 1.0.16 has been released.

   Release notes can be found
   {{{http://issues.apache.org/jira/secure/ReleaseNote.jspa?projectId=12310273&styleName=Html&version=12312966}here}}.

February 18, 2008 - MyFaces Tobago 1.0.15 Released

   The MyFaces Tobago component library in version 1.0.15 has been released.

   Release notes can be found
   {{{http://issues.apache.org/jira/secure/ReleaseNote.jspa?projectId=12310273&styleName=Html&version=12312929}here}}.

January 26, 2008 - MyFaces Tobago 1.0.14 Released

   The MyFaces Tobago component library in version 1.0.14 has been released.

   Release notes can be found
   {{{http://issues.apache.org/jira/secure/ReleaseNote.jspa?projectId=12310273&styleName=Html&version=12312878}here}}.

January 11, 2008 -  1.0.x branch has been created

   Trunk is now 1.1.0-SNAPSHOT

December 18, 2007 - MyFaces Tobago 1.0.13 Released

   The MyFaces Tobago component library in version 1.0.13 has been released.

   Release notes can be found
   {{{http://issues.apache.org/jira/secure/ReleaseNote.jspa?projectId=12310273&styleName=Html&version=12312766}here}}.

October 19, 2007 - MyFaces Tobago 1.0.12 Released

   The MyFaces Tobago component library in version 1.0.12 has been released.

   Release notes can be found
   {{{http://issues.apache.org/jira/secure/ReleaseNote.jspa?projectId=12310273&styleName=Html&version=12312498}here}}.

June 3, 2007 - MyFaces Tobago 1.0.11 Released

   MyFaces Tobago 1.0.11 has been released. It is available from the
   {{{./download.html}download}} page, and in the central Maven repository under
   Group ID "org.apache.myfaces.tobago".

   More information on this release, including a list of resolved issues, can be
   found on the
   {{{http://issues.apache.org/jira/secure/ReleaseNote.jspa?projectId=12310273&styleName=Html&version=12312376}release notes}}.

March 12, 2007 - MyFaces Tobago 1.0.10 Released

   MyFaces Tobago 1.0.10 has been released.

December 23, 2006 - MyFaces Tobago 1.0.9 Released

   MyFaces Tobago 1.0.9 has been released.

September 20, 2006 - MyFaces Tobago 1.0.8 Released

   MyFaces Tobago 1.0.8 has been released.

March 23, 2006 - Tobago Has Left Incubation

  The goal of Tobago is to provide the community with a well designed set of user
  interface components based on JSF and run on MyFaces.  Tobago is more than just a tag library,
  it contains some powerful tools for layouts and themes.  For more information, please visit
  the Tobago {{{http://myfaces.apache.org/tobago}site}}.            